# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("smimesign-windows-*.exe")[0]

    # Installing the software
    print("Installing: %s" % control.asrequirement())
    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT',
        key='{4F942266-232E-4F47-8D44-A6BEE366A2A0}_is1',
        min_version=''
    )

